# Interface FeatureListProperties

Properties that can be passed into the constructor for data/FeatureList!FeatureList.

interface FeatureListProperties {
featureSet?: FeatureSet | FeatureSetProperties | (Feature | FeatureProperties)[];
id?: string;
title?: string;
}

#### Hierarchy (view full)

- EntityProperties
  - FeatureListProperties

#####
Index

### Properties

featureSet?
id?
title?

##
Properties

### `Optional` featureSet

featureSet?: FeatureSet | FeatureSetProperties | (Feature | FeatureProperties)[]

The features contained in the list.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityProperties.id

### `Optional` title

title?: string

See data/FeatureList!FeatureList.title.